# Class SAMRecordAndReference

java.lang.Object
picard.metrics.SAMRecordAndReference

public class SAMRecordAndReference extends Object

## Constructor Summary

Constructors
Constructor
Description
`SAMRecordAndReference(htsjdk.samtools.SAMRecord samRec, htsjdk.samtools.reference.ReferenceSequence refSeq)`

## Method Summary

Modifier and Type
Method
Description
`htsjdk.samtools.reference.ReferenceSequence`
`getReferenceSequence()`
`htsjdk.samtools.SAMRecord`
`getSamRecord()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SAMRecordAndReference

public SAMRecordAndReference(htsjdk.samtools.SAMRecord samRec, htsjdk.samtools.reference.ReferenceSequence refSeq)

## Method Details

### getSamRecord

public htsjdk.samtools.SAMRecord getSamRecord()

### getReferenceSequence

public htsjdk.samtools.reference.ReferenceSequence getReferenceSequence()